package intrinsic.flash.display;

public class BitmapData extends Object implements intrinsic.flash.display.IBitmapDrawable {

	/** Accessors */
	public int height;
	public int width;
	public boolean transparent;
	public intrinsic.flash.geom.Rectangle rect;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public BitmapData() {
}

public BitmapData(int arg0, int arg1) {
}

public BitmapData(int arg0, int arg1, boolean arg2) {
}

public BitmapData(int arg0, int arg1, boolean arg2, int arg3) {
}


/** Static Methods */

/** Methods */
public native void unlock();
public native void unlock(intrinsic.flash.geom.Rectangle arg0);
public native void scroll(int arg0, int arg1);
public native int pixelDissolve(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2);
public native int pixelDissolve(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, int arg3);
public native int pixelDissolve(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, int arg3, int arg4);
public native int pixelDissolve(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, int arg3, int arg4, int arg5);
public native void copyChannel(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, int arg3, int arg4);
public native void copyPixels(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2);
public native void copyPixels(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, intrinsic.flash.display.BitmapData arg3);
public native void copyPixels(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, intrinsic.flash.display.BitmapData arg3, intrinsic.flash.geom.Point arg4);
public native void copyPixels(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, intrinsic.flash.display.BitmapData arg3, intrinsic.flash.geom.Point arg4, boolean arg5);
public native void setPixel(int arg0, int arg1, int arg2);
public native void noise(int arg0);
public native void noise(int arg0, int arg1);
public native void noise(int arg0, int arg1, int arg2);
public native void noise(int arg0, int arg1, int arg2, int arg3);
public native void noise(int arg0, int arg1, int arg2, int arg3, boolean arg4);
public native void dispose();
public native intrinsic.flash.geom.Rectangle getColorBoundsRect(int arg0, int arg1);
public native intrinsic.flash.geom.Rectangle getColorBoundsRect(int arg0, int arg1, boolean arg2);
public native boolean hitTest(intrinsic.flash.geom.Point arg0, int arg1, Object arg2);
public native boolean hitTest(intrinsic.flash.geom.Point arg0, int arg1, Object arg2, intrinsic.flash.geom.Point arg3);
public native boolean hitTest(intrinsic.flash.geom.Point arg0, int arg1, Object arg2, intrinsic.flash.geom.Point arg3, int arg4);
public native int getPixel32(int arg0, int arg1);
public native Object clone();
public native intrinsic.flash.utils.ByteArray getPixels(intrinsic.flash.geom.Rectangle arg0);
public native void lock();
public native void floodFill(int arg0, int arg1, int arg2);
public native void applyFilter(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, intrinsic.flash.filters.BitmapFilter arg3);
public native int threshold(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, String arg3, int arg4);
public native int threshold(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, String arg3, int arg4, int arg5);
public native int threshold(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, String arg3, int arg4, int arg5, int arg6);
public native int threshold(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, String arg3, int arg4, int arg5, int arg6, boolean arg7);
public native void draw(intrinsic.flash.display.IBitmapDrawable arg0);
public native void draw(intrinsic.flash.display.IBitmapDrawable arg0, intrinsic.flash.geom.Matrix arg1);
public native void draw(intrinsic.flash.display.IBitmapDrawable arg0, intrinsic.flash.geom.Matrix arg1, intrinsic.flash.geom.ColorTransform arg2);
public native void draw(intrinsic.flash.display.IBitmapDrawable arg0, intrinsic.flash.geom.Matrix arg1, intrinsic.flash.geom.ColorTransform arg2, String arg3);
public native void draw(intrinsic.flash.display.IBitmapDrawable arg0, intrinsic.flash.geom.Matrix arg1, intrinsic.flash.geom.ColorTransform arg2, String arg3, intrinsic.flash.geom.Rectangle arg4);
public native void draw(intrinsic.flash.display.IBitmapDrawable arg0, intrinsic.flash.geom.Matrix arg1, intrinsic.flash.geom.ColorTransform arg2, String arg3, intrinsic.flash.geom.Rectangle arg4, boolean arg5);
public native void fillRect(intrinsic.flash.geom.Rectangle arg0, int arg1);
public native void setPixel32(int arg0, int arg1, int arg2);
public native int getPixel(int arg0, int arg1);
public native Object compare(intrinsic.flash.display.BitmapData arg0);
public native void perlinNoise(double arg0, double arg1, int arg2, int arg3, boolean arg4, boolean arg5);
public native void perlinNoise(double arg0, double arg1, int arg2, int arg3, boolean arg4, boolean arg5, int arg6);
public native void perlinNoise(double arg0, double arg1, int arg2, int arg3, boolean arg4, boolean arg5, int arg6, boolean arg7);
public native void perlinNoise(double arg0, double arg1, int arg2, int arg3, boolean arg4, boolean arg5, int arg6, boolean arg7, intrinsic.Array arg8);
public native void setPixels(intrinsic.flash.geom.Rectangle arg0, intrinsic.flash.utils.ByteArray arg1);
public native intrinsic.flash.geom.Rectangle generateFilterRect(intrinsic.flash.geom.Rectangle arg0, intrinsic.flash.filters.BitmapFilter arg1);
public native void colorTransform(intrinsic.flash.geom.Rectangle arg0, intrinsic.flash.geom.ColorTransform arg1);
public native void merge(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, int arg3, int arg4, int arg5, int arg6);
public native void paletteMap(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2);
public native void paletteMap(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, intrinsic.Array arg3);
public native void paletteMap(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, intrinsic.Array arg3, intrinsic.Array arg4);
public native void paletteMap(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, intrinsic.Array arg3, intrinsic.Array arg4, intrinsic.Array arg5);
public native void paletteMap(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.geom.Point arg2, intrinsic.Array arg3, intrinsic.Array arg4, intrinsic.Array arg5, intrinsic.Array arg6);

}
